# Place holder for all IOT devices to be blacklisted
# Blacklist mechanism will detect the device in runtime based on issue condition
# and black list the device
# vivo <caodongliang> add for encrypting the blacklist of Bluetooth devices

#
#carkit auto play
#
CallEndPlayEnabled=true
RcConPlayEnabled=false
PlayAllowedCount=6
MostValue=4
CallEndTimeout=10000
RcConnTimeout=15000
CmdRejectTimeout=10000
DeltaAllowedTimeout=1000
DefAutoplayTimeout=3500

#
#Disable LE Secure Connection Blacklist
#
[VivoDisLeSecureConnBlacklist]
AddressBlacklist=$2,>"0/*;,3.*L/*S,V889.2"I#(V%N"4:!$S&/4$0R1<KZ&.Z1%/#S.(!,;!3:0 0\(-[J./?9/Q,,7.?W$(:#YV%HU4

#
#Disable Absolute Volume Blacklist
#
[VivoDisAbsoluteVolBlacklist]
AddressBlacklist=U:,M)0]^;/;.);/. :$B.>.2V35(#%>Q"I&2V"/8W0$0<:)&&'1"Z#W&(WQ;'O:I 0\%-[I8(?//#,W08K"2!?#*!3;$">!$T'91$0$>*=\0./1$+5W)>&!;R2,K"&

#
#Auto Retry Pair Blacklist
#
[VivoAutoRetryPairBlacklist]
AddressBlacklist=-I,LV0)/;

#
#2MBPS Link Only Blacklist
#
[Vivo2MBPSLinkOnlyBlacklist]
AddressBlacklist=$:,9(0 -;

#
#Disable Auto Pair Blacklist
#
[VivoDisableAutoPairBlcaklist]
AddressBlacklist='>,K'0*-;/;.(8/.&:P1.=#2 K5
ExactNameBlacklist=1_RA<h&G;dJFJ@A2qWG-z6e{5d52m'

#
#Keyborad Requires Fixed PIN Blacklist
#
[VivoKeyboradReqFixPINBlacklist]
AddressBlacklist=$:,8V0_*;

#
#Disable SDP After Pair Blacklist
#
[VivoDisableSDPAfterPairBlacklist]
AddressBlacklist=$>,8s0zy;/;.(8/(#:%1.;r2t25,'%:>"=%2$u/4p0 ;<8!&&'1# ##.(" ;vn:=(0.--,88(?/'",p08/u2'/#(s3
ExactNameBlacklist=1ZFDU*&]PVH4'@@MW:wMAOBG_^Q<{^XQJ/hLS@PM45Y]CO5#^\Y[K@SJ2tYTQ^YGDB9rXKNVW@^>-Y@RQ*#8 :5pXXB@]L]>-n5sQ\YDE^PSY?4[M\P2-_VS[YYND*j_BS[@8rZKQ^5>[_EM<w\NX8X43NX[2uZO@XYD\OK0

#
#Disable Auth For HID Point Blacklist
#
[VivoDisableAuthForHIDPointBlacklist]
AddressBlacklist=$:,9"0<-;
ExactNameBlacklist=iKDOEY9~j?gUKJG>|YADVEYC05VIDZ'

#
#Disable Sniff During SCO Blacklist
#
[VivoDisableSniffDurSCOBlacklist]
AddressBlacklist=&:,<s0(,;

#
#Increase AG Conn Timeout Blacklist
#
[VivoIncAGConnTimeoutBlacklist]
AddressBlacklist=$:,9$0)%;

#
#ADV AVRCP VER 1.3 Blacklist
#
[VivoADVAVRCP13Blacklist]
AddressBlacklist=&:,1!0-$;
ExactNameBlacklist=w/d(/Tua+ np$*

#
#Disable LE Conn Preferred Params Blacklist
#
[VivoDisableLEConnPreParamsBlacklis]
ExactNameBlacklist=vy)jr: xd3nx}lz!>

#
#Remove HID Dig Descriptor Blacklist
#
[VivoRemoveHIDDigDescriptorBlacklist]
ExactNameBlacklist=+EBGBEU]7!NMZ@TLV6+{!:&$/EMSEPGU81PGPYTSP*(r%:)<A.9&4

#
#Disable AAC Codec Blacklist
#
[VivoDisableAACCodecBlacklist]
AddressBlacklist=&:,;s0<y;+h.+=/)':'9./'2(959t%<1";q2 ./$%0.;</)&&+1'|#,.(&&;v=:8 0(x-'=8(?/. , c83u2t #,$3; ":'$q!97w0sk*o{0#'1>(5"|>

#
#Disable connect after collision
#
[VivoDisableConnectionAfterCollisionblacklist]
AddressBlacklist=1e,9$0*x;

#
#Dynamic role switch Blacklist
#
[VivoDynamicRoleSwitchBlacklist]

#
#Disable role switch Blacklist
#
[VivoDisableRoleSwitchBlacklist]
AddressBlacklist=>i,k"0}y;/;.*9/|&:%1.:"2#o5,'%9'"?$2#u/5,0<1<:)&"+112#%.($#;q2:8 0*+-)o8!l/-7,0+8:&2!2#%&3;w"j%$w"91$0&?*:-02+1%-5#(>r%;%9,9u&!6--;.z;9;*,w8.h%$ :#,s%!$4?%$"./d$&&8*8,&"-'%{5 ,('#-$:,8&0/*;+3.2?/)p:,b.2r2'i5./%.%"7&2

#
#Disable role switch policy Blacklist
#
[VivoDisableRoleSwitchPolicyBlacklist]
AddressBlacklist=$:,8t03x;/;.)m/zq:%1.:!2 >59#%:!"9#2"&/4 03"<

#
#HFP 1.7 version Blacklist
#
[VivoHFP17Blacklist]

#
#ADV PBAP 1.1 version Blacklist
#
[VivoADVPBAP11Blacklist]
AddressBlacklist=$:,8 0.Z;/;.(?/-#:%1.:&2$;5,'%;$"9T2"&/1%0&I<:)&'/1'\#%.('";!9
ExactNameBlacklist=pCEK_\\NN?xDW]A2/WRTUX6pu&|PVQ_FY

#
#Update HID SSR MAXLaf Blacklist
#
[VivoUpdateHIDSsrMaxLafBlacklist]

#
#Stroe remote AVRCP 1.4 version Blacklist
#
[VivoStroeRemoteAvrcp14Blacklist]
AddressBlacklist=$:,8"0,~-+.8

#
#Remote AVDTP start Blacklist
#
[VivoRemoteAvdtpStartBlacklist]
AddressBlacklist=VI,; 0.Y;^?.(7/[S:
ExactNameBlacklist=1_RA<qVND\CQ4

#
#Disable HF indicator Blacklist
#
[VivoDisableHFIndicatorBlacklist]
AddressBlacklist=-2,?R0_/;

#
#disable player application setting cmds Blacklist
#
[VivoDisablePlayerApplicationSettingCmdsBlacklist]
AddressBlacklist=$:,8)0 /;

#
#delay sco for mt call Blacklist
#
[VivoDelayScoForMtCallBlacklist]
AddressBlacklist=$>,="0Z+;

#
#disable code negotiation Blacklist
#
[VivoDisableCodeNegotiationBlacklist]
AddressBlacklist=$:,8(0!];

#
#use reject for auto play Blacklist
#
[VivoRejectForAutoPlay]
AddressBlacklist=$:,8Q0)$;&H.\I/.!:
